Bug 563156 - gnome-screensaver-2.28.2-1.fc12.i686 with fedora bubbles does not clean properly left areas
gnome-screensaver-2.28.2-1.fc12.i686 with fedora bubbles does not clean prope...
Product: Fedora
Classification: Fedora
Component: gnome-screensaver (Show other bugs)
All Linux
low Severity medium
: ---
: ---
Assigned To: jmccann
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2010-02-09 06:47 EST by Joachim Backes
Modified: 2015-01-14 18:24 EST (History)
5 users (show)

See Also:
Fixed In Version: 2.28.3-1.fc12
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2010-02-16 08:07:30 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
Screen photo of the screensaver preview window (7.92 KB, image/jpeg)
2010-02-09 06:47 EST, Joachim Backes
no flags Details
tested patch (466 bytes, patch)
2010-02-11 07:26 EST, Michael Schwendt
no flags Details | Diff

  None (edit)
Description Joachim Backes 2010-02-09 06:47:11 EST
Created attachment 389728 [details]
Screen photo of the screensaver preview window

Description of problem:
After the most recent update in F12, gnome-screensaver (fedora bubbles) 
shows weird artefacts: left areas are not cleaned properly.
The same happens with the screensaver preview.

Version-Release number of selected component (if applicable):

How reproducible:
Each time

Steps to Reproduce:
1.System->preferences->Screensaver with fedora bubbles, or activate the screensaver with the Lockscreen icon on the gnome-panel.
Actual results:
If the bubbles are moving over the screen, left areas remain partiallly black.

Expected results:
Left areas are redrawn properly.

Additional info:
A screesaver preview window has been atached as jpg.
Comment 1 Joachim Backes 2010-02-09 06:58:41 EST
Information about vidieo card:

02:00.0 VGA compatible controller: nVidia Corporation NV34 [GeForce FX 5200] (rev a1) (prog-if 00 [VGA controller])
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap+ 66MHz+ UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 32 (1250ns min, 250ns max)
	Interrupt: pin A routed to IRQ 19
	Region 0: Memory at ec000000 (32-bit, non-prefetchable) [size=16M]
	Region 1: Memory at e0000000 (32-bit, prefetchable) [size=128M]
	[virtual] Expansion ROM at ed000000 [disabled] [size=128K]
	Capabilities: <access denied>
	Kernel driver in use: nouveau
	Kernel modules: nouveau, nvidiafb
Comment 2 Michael Schwendt 2010-02-11 07:26:42 EST
Created attachment 390232 [details]
tested patch

This bug is not specific to that hardware.
Comment 3 Ray Strode [halfline] 2010-02-12 17:12:52 EST
should be fixed in the next update
Comment 4 eddiefelson69 2010-02-14 20:10:31 EST
I see the same artefacts in the fedora bubbles, after the last update of gnome-screensaver.

01:00.0 VGA compatible controller: nVidia Corporation NV43 [GeForce Go 6200/6400] (rev a1)

name of display: :0.0
display: :0  screen: 0
direct rendering: Yes
server glx vendor string: NVIDIA Corporation
server glx version string: 1.4
server glx extensions:
    GLX_EXT_visual_info, GLX_EXT_visual_rating, GLX_SGIX_fbconfig, 
    GLX_SGIX_pbuffer, GLX_SGI_video_sync, GLX_SGI_swap_control, 
    GLX_EXT_texture_from_pixmap, GLX_ARB_create_context, 
    GLX_ARB_create_context_profile, GLX_ARB_multisample, GLX_NV_float_buffer, 
client glx vendor string: NVIDIA Corporation
client glx version string: 1.4
Comment 5 Fedora Update System 2010-02-16 08:07:20 EST
gnome-screensaver-2.28.3-1.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 6 sawrub 2010-02-16 22:36:42 EST
The update of gnome-screensaver.x86_64 0:2.28.3-1.fc12 have fixed the issue. thanks
Comment 7 Joachim Backes 2010-02-17 02:18:32 EST
I can confirm this.


Note You need to log in before you can comment on or make changes to this bug.